AI Services/Real-person Assets
Update asset
Update the asset name.
PATCH
/
api
/
ai
/
volcengine
/
assets
/
items
/
{assetId}
Update asset
curl --request PATCH \
--url https://aitoearn.cn/api/ai/volcengine/assets/items/{assetId} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "person-reference-updated"
}
'import requests
url = "https://aitoearn.cn/api/ai/volcengine/assets/items/{assetId}"
payload = { "name": "person-reference-updated" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'person-reference-updated'})
};
fetch('https://aitoearn.cn/api/ai/volcengine/assets/items/{assetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/ai/volcengine/assets/items/{assetId}"
payload := strings.NewReader("{\n \"name\": \"person-reference-updated\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": {
"assetId": "string",
"groupId": "string",
"assetType": "Image",
"status": "Processing",
"createdAt": "2026-07-02T12:00:00.000Z",
"updatedAt": "2026-07-02T12:00:00.000Z",
"name": "string",
"url": "https://assets.aitoearn.cn/example.png"
}
}Authorizations
Need to get API Key from AiToEarn. Click to go to "API Key Obtaining Tutorial".
Path Parameters
Asset ID.
Body
application/json
Asset name.
Minimum string length:
1Response
200 - application/json
The request has been processed by the service. Business success is determined by whether the response body has code === 0.
Business status code. 0 means success; non-zero means a business error.
Response message.
Hide child attributes
Hide child attributes
Asset ID.
Asset group ID.
Asset type.
Available options:
Image, Video, Audio Asset status. Only Active assets can be used for video generation.
Available options:
Processing, Active, Failed Created at.
Updated at.
Asset name.
Asset source file URL.
Request ID.
Error response timestamp in Unix milliseconds.
Last modified on September 29, 2026
⌘I
Update asset
curl --request PATCH \
--url https://aitoearn.cn/api/ai/volcengine/assets/items/{assetId} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "person-reference-updated"
}
'import requests
url = "https://aitoearn.cn/api/ai/volcengine/assets/items/{assetId}"
payload = { "name": "person-reference-updated" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'person-reference-updated'})
};
fetch('https://aitoearn.cn/api/ai/volcengine/assets/items/{assetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/ai/volcengine/assets/items/{assetId}"
payload := strings.NewReader("{\n \"name\": \"person-reference-updated\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": {
"assetId": "string",
"groupId": "string",
"assetType": "Image",
"status": "Processing",
"createdAt": "2026-07-02T12:00:00.000Z",
"updatedAt": "2026-07-02T12:00:00.000Z",
"name": "string",
"url": "https://assets.aitoearn.cn/example.png"
}
}
